Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.aa.complextype.v1
Class ProfessionalAddressbookType

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.ProfessionalAddressbookType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ProfessionalInformation, ProfessionalInformationType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:05:18+01:00",
               comments="JAXB RI v2.2.11")
    public class ProfessionalAddressbookType

extends Object
implements Serializable

Professional informations (nihii number, contact addresses, addtitional informations, ...) that may be used by Addressbook.

Java class for ProfessionalAddressbookType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProfessionalAddressbookType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Profession" type="{urn:be:fgov:ehealth:aa:complextype:v1}ProfessionTypeV3"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}Address" maxOccurs="unbounded" minOccurs="0"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}HealthCareAdditionalInformation" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ProfessionalAddressbookType()`

Method Summary
`List<Address>` | `getAddresses()` Gets the value of the addresses property.
`List<HealthCareAdditionalInformation>` | `getHealthCareAdditionalInformations()` Gets the value of the healthCareAdditionalInformations property.
`ProfessionV3` | `getProfession()` Gets the value of the profession property.
`void` | `setProfession(ProfessionV3 value)` Sets the value of the profession property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfessionalAddressbookType

    public ProfessionalAddressbookType()

Method Detail

### getProfession

    public ProfessionV3 getProfession()

  Gets the value of the profession property.

  Returns:
    possible object is `ProfessionV3`

### setProfession

    public void setProfession(ProfessionV3 value)

  Sets the value of the profession property.

  Parameters:
    `value` - allowed object is `ProfessionV3`

### getAddresses

    public List<Address> getAddresses()

  Gets the value of the addresses property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addresses property.

  For example, to add a new item, do as follows:

          getAddresses().add(newItem);

  Objects of the following type(s) are allowed in the list `Address`

### getHealthCareAdditionalInformations

    public List<HealthCareAdditionalInformation> getHealthCareAdditionalInformations()

  Gets the value of the healthCareAdditionalInformations property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the healthCareAdditionalInformations property.

  For example, to add a new item, do as follows:

          getHealthCareAdditionalInformations().add(newItem);

  Objects of the following type(s) are allowed in the list `HealthCareAdditionalInformation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.